%define	version	0.9
%define release	%mkrel 1

Summary:	CSboard
Name:		csboard
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Boards
URL:		http://csboard.berlios.de/
Source:		http://download.berlios.de/%{name}/%{name}-%{version}.tar.gz
Patch0:		csboard-0.9-fix-desktop.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	mono >= 0.95
BuildRequires:	glade-sharp2
BuildRequires:	gnome-sharp2
BuildRequires:	perl-XML-Parser
BuildRequires:	scrollkeeper
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-doc-utils
BuildRequires:	libGConf2-devel
BuildRequires:	intltool
Requires:	chessengine

%description
CSBoard is a small GUI for gnuchess. It is written in C# and uses
gtk-sharp and mono. It is simple, but allows you just play chess with
SVG graphics and native look and desktop theme usage.  CSBoard use
gnuchess as playing engine, but you can also play with crafty of
phalanx.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --bindir=%{_gamesbindir}
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-key='Encoding' \
	--remove-category='Application' \
	--add-category='GTK' \
	%buildroot%_datadir/applications/*.desktop

%find_lang %{name} --with-gnome --all-name

%post
%update_menus
%update_scrollkeeper
%post_install_gconf_schemas %name

%preun
%preun_install_gconf_schemas %name

%postun
%clean_menus
%clean_scrollkeeper

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS INSTALL NEWS
%{_sysconfdir}/gconf/schemas/*.schemas
%{_gamesbindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/omf/*
%{_datadir}/gnome/help/%{name}
%{_datadir}/pixmaps/*.png


%changelog
* Tue Sep 04 2007 Funda Wang <fundawang@mandriva.org> 0.9-1mdv2008.0
+ Revision: 79121
- another fix for icon ext
- BR gnome-shartp2
- fix desktop icon
- New version
- More buildrequires
- New version 0.8
- New version 0.7

  + Emmanuel Andry <eandry@mandriva.org>
    - Import csboard



* Sat Nov 20 2004 Abel Cheung <deaddog@mandrake.org> 0.5-1mdk
- First Mandrake package
